FieldTermStack (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.vectorhighlight.FieldTermStack class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class FieldTermStack

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldTermStack

    public class FieldTermStack

extends Object

`FieldTermStack` is a stack that keeps query terms in the specified field of the document to be highlighted.

Nested Class Summary
`static class` | `FieldTermStack.TermInfo`

Constructor Summary
`FieldTermStack(IndexReader reader, int docId, String fieldName, FieldQuery fieldQuery)` a constructor.

Method Summary
`String` | `getFieldName()`
`boolean` | `isEmpty()` to know whether the stack is empty
`static void` | `main(String[] args)`
`FieldTermStack.TermInfo` | `pop()`
`void` | `push(FieldTermStack.TermInfo termInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldTermStack

    public FieldTermStack(IndexReader reader,
                          int docId,
                          String fieldName,
                          FieldQuery fieldQuery)
                   throws IOException

  a constructor.

  Parameters:
    `reader` - IndexReader of the index
    `docId` - document id to be highlighted
    `fieldName` - field of the document to be highlighted
    `fieldQuery` - FieldQuery object
  Throws:
    `IOException`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### getFieldName

    public String getFieldName()

  Returns:
    field name

### pop

    public FieldTermStack.TermInfo pop()

  Returns:
    the top TermInfo object of the stack

### push

    public void push(FieldTermStack.TermInfo termInfo)

  Parameters:
    `termInfo` - the TermInfo object to be put on the top of the stack

### isEmpty

    public boolean isEmpty()

  to know whether the stack is empty

  Returns:
    true if the stack is empty, false if not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD